# PropertyFactoryRegistry (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class PropertyFactoryRegistry

- java.lang.Object
- - net.fortuna.ical4j.vcard.PropertyFactoryRegistry

    public class PropertyFactoryRegistry
    extends Object

Registry for standard and non-standard property factories. $Id$ Created on: 05/01/2009

Author:
  Ben

### Constructor Summary

Constructors
Constructor and Description
`PropertyFactoryRegistry()`

### Method Summary

Methods
`PropertyFactory<? extends Property>` `getFactory(String value)`
`void` `register(String extendedName, PropertyFactory<Property> factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyFactoryRegistry

    public PropertyFactoryRegistry()

### Method Detail

#### getFactory

    public PropertyFactory<? extends Property> getFactory(String value)

Parameters:
  `value` - a string representation of a property identifier
Returns:
  a property factory for creating a property of the resolved type

#### register

    public void register(String extendedName,
                PropertyFactory<Property> factory)

Parameters:
  `extendedName` - a non-standard property name to register
  `factory` - a property factory for creating instances of the non-standard property type